# bot/plugs/zoek.py
#
#

""" zoeken ! """

## IMPORTS

from bot import kernel, Object
from bot.utils import from_enc, get_source, j

import os
import re

## zoek command

def do_zoek(event):
    if os.path.isdir("files"): path = "files"
    else: path = get_source("bot", "files")
    txt = open(j(path, "koran"), encoding="utf-8", errors="ignore").read()
    search = event.rest.lower()
    titles = Object()
    title = ""
    prev = ""
    for line in txt.split("\n\n"):
        if not line: continue
        lower = line.lower()
        if "---" in lower and ")" in prev: title = prev
        if search in lower:
            if not title in titles: titles[title] = [] 
            if lower not in titles[title]: titles[title].append(lower.strip())
        prev = line.strip()
    for title in titles:
        event.reply(title)
        event.reply("="*len(title))
        event.reply("\n")
        for line in titles[title]:
            l = line.strip()
            l = re.sub("\s+", " ", l)
            l = l.replace("\n", "")
            l = l.replace("\t", "")
            event.reply(l)
            event.reply("\n")

kernel.register('zoek', do_zoek)
